<?php
namespace MageWorx\OptionHealthChecker\Console\AnalyzeDatabaseData;

/**
 * Interceptor class for @see \MageWorx\OptionHealthChecker\Console\AnalyzeDatabaseData
 */
class Interceptor extends \MageWorx\OptionHealthChecker\Console\AnalyzeDatabaseData implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\MageWorx\OptionHealthChecker\Api\DataCleanerModelInterface $dataCleanerModel)
    {
        $this->___init();
        parent::__construct($dataCleanerModel);
    }

    /**
     * {@inheritdoc}
     */
    public function run(\Symfony\Component\Console\Input\InputInterface $input, \Symfony\Component\Console\Output\OutputInterface $output) : int
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'run');
        return $pluginInfo ? $this->___callPlugins('run', func_get_args(), $pluginInfo) : parent::run($input, $output);
    }
}
